%define python python2

Summary: The sources for the PyGNOME Python extension module
Name: gnome-python2
Version: 1.99.11
Release: alt1
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%version.tar.gz

Patch: gnome-python-1.99.11.druid_accessible.patch
Patch1: gnome-python-1.99.11-client-command.patch
License: LGPL
Group: Development/Other

# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexpat libgail-devel libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtkhtml2-devel libjpeg-devel liblinc-devel libnautilus-devel libpango-devel libpopt-devel libxml2-devel libzvt-devel orbit-python-devel pkgconfig pygtk2-devel python-devel zlib-devel

%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package applet
Version: %version
Summary: Python bindings for GNOME Panel applets
Group: Development/Other
# applets from GNOME 1.4 are no longer supported - we only have 1 panel
Obsoletes: pygnome-applet

%description applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package capplet
Version: %version
Summary: Python bindings for GNOME Panel applets
Group: Development/Other

%description capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package canvas
Version: %version
Summary: Python bindings for the GNOME Canvas
Group: Development/Other
Requires: pygtk2 >= 1.99.11

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package zvt
Version: %version
Summary: Python bindings for the ZVT terminal widget
Group: Development/Other
Requires: pygtk2 >= 1.99.11

%description zvt
This module contains a wrapper that allows use of the ZVT terminal
widget in Python.

%package nautilus
Version: %version
Summary: Python bindings for interacting with Nautilus
Group: Development/Other

%description nautilus
This module contains a wrapper that allows access to Nautilus via Python.

%package bonobo
Version: %version
Summary: Python bindings for interacting with bonobo
Group: Development/Other

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.

%package gconf
Version: %version
Summary: Python bindings for interacting with GConf
Group: Development/Other
Requires: libGConf2 >= 1.1.10

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%package gtkhtml2
Version: %version
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Other
Requires: libgtkhtml2 >= 1.99.7

%description gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python

%prep
%setup -q -n gnome-python-%version
%patch -p1 -b .druid_accessible
%patch1 -p1 -b .client-command

%build
%configure
%make_build

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%files
%doc AUTHORS ChangeLog README NEWS
%dir %prefix/lib/python?.?/site-packages/gnome/
%prefix/lib/python?.?/site-packages/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gnome/_gnomemodule.so
%prefix/lib/python?.?/site-packages/gnome/uimodule.so
%prefix/lib/python?.?/site-packages/gnome/vfsmodule.so
%dir %_libdir/pkgconfig
%_libdir/pkgconfig/gnome-python-2.0.pc
%dir %_datadir/pygtk/2.0/defs
%_datadir/pygtk/2.0/defs/*.defs

%files applet
%dir %prefix/lib/python?.?/site-packages/gnome/
%prefix/lib/python?.?/site-packages/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gnome/appletmodule.so
%files nautilus
%dir %prefix/lib/python?.?/site-packages/gnome/
%prefix/lib/python?.?/site-packages/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gnome/nautilusmodule.so
%doc examples/nautilus

%files canvas
%dir %prefix/lib/python?.?/site-packages/gnome/
%prefix/lib/python?.?/site-packages/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gnome/canvasmodule.so
%doc examples/canvas

%files zvt
%dir %prefix/lib/python?.?/site-packages/gnome/
%prefix/lib/python?.?/site-packages/gnome/__init__.*
%prefix/lib/python?.?/site-packages/gnome/zvtmodule.so
%doc examples/zvt

%files bonobo
%dir %prefix/lib/python?.?/site-packages/bonobo/
%prefix/lib/python?.?/site-packages/bonobo/__init__.*
%prefix/lib/python?.?/site-packages/bonobo/*.so
%doc examples/bonobo

%files gconf
%prefix/lib/python?.?/site-packages/gconf*
%doc examples/gconf

%files gtkhtml2
%prefix/lib/python?.?/site-packages/gtkhtml*
%doc examples/gtkhtml2

%changelog
* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.99.11-alt1
- first build for Sisyphus

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
